jif.ast

## Class JifDelFactory_c

- java.lang.Object
- - polyglot.ast.AbstractDelFactory_c
  - - jif.ast.JifDelFactory_c

- All Implemented Interfaces:
    JifDelFactory, polyglot.ast.DelFactory

      public class JifDelFactory_c
      extends polyglot.ast.AbstractDelFactory_c
      implements JifDelFactory

  Constructs Jif delegates

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JifDelFactory_c()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.JLDel` | `delAmbNewArray()`
    `protected polyglot.ast.JLDel` | `delAmbNewArrayImpl()`
    `protected polyglot.ast.JLDel` | `delArrayAccessAssignImpl()`
    `protected polyglot.ast.JLDel` | `delArrayAccessImpl()`
    `protected polyglot.ast.JLDel` | `delArrayInitImpl()`
    `protected polyglot.ast.JLDel` | `delAssignImpl()`
    `protected polyglot.ast.JLDel` | `delBinaryImpl()`
    `protected polyglot.ast.JLDel` | `delCallImpl()`
    `protected polyglot.ast.JLDel` | `delCastImpl()`
    `protected polyglot.ast.JLDel` | `delCatchImpl()`
    `protected polyglot.ast.JLDel` | `delClassDeclImpl()`
    `protected polyglot.ast.JLDel` | `delConstructorCallImpl()`
    `protected polyglot.ast.JLDel` | `delConstructorDeclImpl()`
    `protected polyglot.ast.JLDel` | `delFieldAssignImpl()`
    `protected polyglot.ast.JLDel` | `delFieldDeclImpl()`
    `protected polyglot.ast.JLDel` | `delFieldImpl()`
    `protected polyglot.ast.JLDel` | `delFormalImpl()`
    `protected polyglot.ast.JLDel` | `delIfImpl()`
    `protected polyglot.ast.JLDel` | `delInitializerImpl()`
    `protected polyglot.ast.JLDel` | `delInstanceofImpl()`
    `polyglot.ast.JLDel` | `delLabelExpr()`
    `protected polyglot.ast.JLDel` | `delLabelExprImpl()`
    `protected polyglot.ast.JLDel` | `delLocalDeclImpl()`
    `protected polyglot.ast.JLDel` | `delMethodDeclImpl()`
    `protected polyglot.ast.JLDel` | `delNewArrayImpl()`
    `protected polyglot.ast.JLDel` | `delNewImpl()`
    `polyglot.ast.JLDel` | `delNewLabel()`
    `protected polyglot.ast.JLDel` | `delNewLabelImpl()`
    `protected polyglot.ast.JLDel` | `delThrowImpl()`
    `protected polyglot.ast.JLDel` | `delTypeNodeImpl()`
    `protected polyglot.ast.JLDel` | `postDelAmbNewArray(polyglot.ast.JLDel e)`
    `protected polyglot.ast.JLDel` | `postDelLabelExpr(polyglot.ast.JLDel e)`
    `protected polyglot.ast.JLDel` | `postDelNewLabel(polyglot.ast.JLDel e)`

    - ### Methods inherited from class polyglot.ast.AbstractDelFactory_c

      `composeDels, delAmbAssign, delAmbAssignImpl, delAmbExpr, delAmbExprImpl, delAmbPrefix, delAmbPrefixImpl, delAmbQualifierNode, delAmbQualifierNodeImpl, delAmbReceiver, delAmbReceiverImpl, delAmbTypeNode, delAmbTypeNodeImpl, delArrayAccess, delArrayAccessAssign, delArrayInit, delArrayTypeNode, delArrayTypeNodeImpl, delAssert, delAssertImpl, delAssign, delBinary, delBlock, delBlockImpl, delBooleanLit, delBooleanLitImpl, delBranch, delBranchImpl, delCall, delCanonicalTypeNode, delCanonicalTypeNodeImpl, delCase, delCaseImpl, delCast, delCatch, delCharLit, delCharLitImpl, delClassBody, delClassBodyImpl, delClassDecl, delClassLit, delClassLitImpl, delClassMember, delClassMemberImpl, delCodeDecl, delCodeDeclImpl, delCompoundStmt, delCompoundStmtImpl, delConditional, delConditionalImpl, delConstructorCall, delConstructorDecl, delDo, delDoImpl, delEmpty, delEmptyImpl, delEval, delEvalImpl, delExpr, delExprImpl, delField, delFieldAssign, delFieldDecl, delFloatLit, delFloatLitImpl, delFor, delForImpl, delFormal, delId, delIdImpl, delIf, delImport, delImportImpl, delInitializer, delInstanceof, delIntLit, delIntLitImpl, delLabeled, delLabeledImpl, delLit, delLitImpl, delLocal, delLocalAssign, delLocalAssignImpl, delLocalClassDecl, delLocalClassDeclImpl, delLocalDecl, delLocalImpl, delLoop, delLoopImpl, delMethodDecl, delNew, delNewArray, delNode, delNodeImpl, delNodeList, delNodeListImpl, delNullLit, delNullLitImpl, delNumLit, delNumLitImpl, delPackageNode, delPackageNodeImpl, delProcedureDecl, delProcedureDeclImpl, delReturn, delReturnImpl, delSourceCollection, delSourceCollectionImpl, delSourceFile, delSourceFileImpl, delSpecial, delSpecialImpl, delStmt, delStmtImpl, delStringLit, delStringLitImpl, delSwitch, delSwitchBlock, delSwitchBlockImpl, delSwitchElement, delSwitchElementImpl, delSwitchImpl, delSynchronized, delSynchronizedImpl, delTerm, delTermImpl, delThrow, delTry, delTryImpl, delTypeNode, delUnary, delUnaryImpl, delWhile, delWhileImpl, nextDelFactory, postDelAmbAssign, postDelAmbExpr, postDelAmbPrefix, postDelAmbQualifierNode, postDelAmbReceiver, postDelAmbTypeNode, postDelArrayAccess, postDelArrayAccessAssign, postDelArrayInit, postDelArrayTypeNode, postDelAssert, postDelAssign, postDelBinary, postDelBlock, postDelBooleanLit, postDelBranch, postDelCall, postDelCanonicalTypeNode, postDelCase, postDelCast, postDelCatch, postDelCharLit, postDelClassBody, postDelClassDecl, postDelClassLit, postDelClassMember, postDelCodeDecl, postDelCompoundStmt, postDelConditional, postDelConstructorCall, postDelConstructorDecl, postDelDo, postDelEmpty, postDelEval, postDelExpr, postDelField, postDelFieldAssign, postDelFieldDecl, postDelFloatLit, postDelFor, postDelFormal, postDelId, postDelIf, postDelImport, postDelInitializer, postDelInstanceof, postDelIntLit, postDelLabeled, postDelLit, postDelLocal, postDelLocalAssign, postDelLocalClassDecl, postDelLocalDecl, postDelLoop, postDelMethodDecl, postDelNew, postDelNewArray, postDelNode, postDelNodeList, postDelNullLit, postDelNumLit, postDelPackageNode, postDelProcedureDecl, postDelReturn, postDelSourceCollection, postDelSourceFile, postDelSpecial, postDelStmt, postDelStringLit, postDelSwitch, postDelSwitchBlock, postDelSwitchElement, postDelSynchronized, postDelTerm, postDelThrow, postDelTry, postDelTypeNode, postDelUnary, postDelWhile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.DelFactory

      `delAmbAssign, delAmbExpr, delAmbPrefix, delAmbQualifierNode, delAmbReceiver, delAmbTypeNode, delArrayAccess, delArrayAccessAssign, delArrayInit, delArrayTypeNode, delAssert, delAssign, delBinary, delBlock, delBooleanLit, delBranch, delCall, delCanonicalTypeNode, delCase, delCast, delCatch, delCharLit, delClassBody, delClassDecl, delClassLit, delClassMember, delCodeDecl, delCompoundStmt, delConditional, delConstructorCall, delConstructorDecl, delDo, delEmpty, delEval, delExpr, delField, delFieldAssign, delFieldDecl, delFloatLit, delFor, delFormal, delId, delIf, delImport, delInitializer, delInstanceof, delIntLit, delLabeled, delLit, delLocal, delLocalAssign, delLocalClassDecl, delLocalDecl, delLoop, delMethodDecl, delNew, delNewArray, delNode, delNodeList, delNullLit, delNumLit, delPackageNode, delProcedureDecl, delReturn, delSourceCollection, delSourceFile, delSpecial, delStmt, delStringLit, delSwitch, delSwitchBlock, delSwitchElement, delSynchronized, delTerm, delThrow, delTry, delTypeNode, delUnary, delWhile`

- - ### Constructor Detail

    - #### JifDelFactory_c

          protected JifDelFactory_c()

  - ### Method Detail

    - #### delAssignImpl

          protected polyglot.ast.JLDel delAssignImpl()

      Overrides:
        `delAssignImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delArrayAccessImpl

          protected polyglot.ast.JLDel delArrayAccessImpl()

      Overrides:
        `delArrayAccessImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delArrayAccessAssignImpl

          protected polyglot.ast.JLDel delArrayAccessAssignImpl()

      Overrides:
        `delArrayAccessAssignImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delArrayInitImpl

          protected polyglot.ast.JLDel delArrayInitImpl()

      Overrides:
        `delArrayInitImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delBinaryImpl

          protected polyglot.ast.JLDel delBinaryImpl()

      Overrides:
        `delBinaryImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delCallImpl

          protected polyglot.ast.JLDel delCallImpl()

      Overrides:
        `delCallImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delCastImpl

          protected polyglot.ast.JLDel delCastImpl()

      Overrides:
        `delCastImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delCatchImpl

          protected polyglot.ast.JLDel delCatchImpl()

      Overrides:
        `delCatchImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delClassDeclImpl

          protected polyglot.ast.JLDel delClassDeclImpl()

      Overrides:
        `delClassDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delFieldDeclImpl

          protected polyglot.ast.JLDel delFieldDeclImpl()

      Overrides:
        `delFieldDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delFieldImpl

          protected polyglot.ast.JLDel delFieldImpl()

      Overrides:
        `delFieldImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delFieldAssignImpl

          protected polyglot.ast.JLDel delFieldAssignImpl()

      Overrides:
        `delFieldAssignImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delFormalImpl

          protected polyglot.ast.JLDel delFormalImpl()

      Overrides:
        `delFormalImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delIfImpl

          protected polyglot.ast.JLDel delIfImpl()

      Overrides:
        `delIfImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delInitializerImpl

          protected polyglot.ast.JLDel delInitializerImpl()

      Overrides:
        `delInitializerImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delInstanceofImpl

          protected polyglot.ast.JLDel delInstanceofImpl()

      Overrides:
        `delInstanceofImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delLocalDeclImpl

          protected polyglot.ast.JLDel delLocalDeclImpl()

      Overrides:
        `delLocalDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delNewImpl

          protected polyglot.ast.JLDel delNewImpl()

      Overrides:
        `delNewImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delNewArrayImpl

          protected polyglot.ast.JLDel delNewArrayImpl()

      Overrides:
        `delNewArrayImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delThrowImpl

          protected polyglot.ast.JLDel delThrowImpl()

      Overrides:
        `delThrowImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delTypeNodeImpl

          protected polyglot.ast.JLDel delTypeNodeImpl()

      Overrides:
        `delTypeNodeImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delConstructorCallImpl

          protected polyglot.ast.JLDel delConstructorCallImpl()

      Overrides:
        `delConstructorCallImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delMethodDeclImpl

          protected polyglot.ast.JLDel delMethodDeclImpl()

      Overrides:
        `delMethodDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delConstructorDeclImpl

          protected polyglot.ast.JLDel delConstructorDeclImpl()

      Overrides:
        `delConstructorDeclImpl` in class `polyglot.ast.AbstractDelFactory_c`

    - #### delAmbNewArray

          public final polyglot.ast.JLDel delAmbNewArray()

      Specified by:
        `delAmbNewArray` in interface `JifDelFactory`

    - #### delLabelExpr

          public final polyglot.ast.JLDel delLabelExpr()

      Specified by:
        `delLabelExpr` in interface `JifDelFactory`

    - #### delNewLabel

          public final polyglot.ast.JLDel delNewLabel()

      Specified by:
        `delNewLabel` in interface `JifDelFactory`

    - #### delAmbNewArrayImpl

          protected polyglot.ast.JLDel delAmbNewArrayImpl()

    - #### postDelAmbNewArray

          protected polyglot.ast.JLDel postDelAmbNewArray(polyglot.ast.JLDel e)

    - #### delLabelExprImpl

          protected polyglot.ast.JLDel delLabelExprImpl()

    - #### postDelLabelExpr

          protected polyglot.ast.JLDel postDelLabelExpr(polyglot.ast.JLDel e)

    - #### delNewLabelImpl

          protected polyglot.ast.JLDel delNewLabelImpl()

    - #### postDelNewLabel

          protected polyglot.ast.JLDel postDelNewLabel(polyglot.ast.JLDel e)